<template>
  <v-app>
    <v-navigation-drawer
      permanent
      clipped
      class="elevation-1">
      <v-list>
        <v-list-tile v-for="navigation in navigations" :to="navigation.path" :key="navigation.path">
          <v-list-tile-action>
            <v-icon>{{navigation.icon}}</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>{{navigation.label}}</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
        <v-divider></v-divider>
        <v-list-tile @click="logout">
          <v-list-tile-action>
            <v-icon>power</v-icon>
          </v-list-tile-action>
          <v-list-tile-content>
            <v-list-tile-title>Logout</v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>
    </v-navigation-drawer>
    <v-toolbar class="primary" dark fixed>
      <v-toolbar-title class="fw-300">
        DAYO
        <small class="deep-orange--text text--lighten-4 ml-2">Your game. Your time.</small>
      </v-toolbar-title>
    </v-toolbar>
    <slot></slot>
  </v-app>
</template>

<script>
  import firebase from 'firebase'
  export default {
    name: 'dashboard',
    data () {
      return {
        navigations: [
          { label: 'User Management', path: '/users', icon: 'group' },
          { label: 'Game Management', path: '/games', icon: 'gamepad' },
          { label: 'Merchant Management', path: '/merchants', icon: 'store' }
        ]
      }
    },
    methods: {
      logout () {
        firebase.auth().signOut().then(() => alert('Signed out.')).catch(() => alert('Failed signing out.'))
      }
    }
  }
</script>
